package CoreFS.SA01;

import java.io.PrintStream;
import java.io.PrintWriter;

public class CoreException extends RuntimeException
{

	public CoreException(){
		
	}
    public CoreException(String s)
    {
        super(s);
    }

    public CoreException(String s, Throwable throwable)
    {
        super(s, throwable);
    }

    public Throwable getRootCause()
    {
        return getCause();
    }

    public void printStackTrace(PrintStream printstream)
    {
        printStackTrace(new PrintWriter(printstream));
    }

    public void printStackTrace(PrintWriter printwriter)
    {
        super.printStackTrace(printwriter);
        printwriter.flush();
    }

    public void printStackTrace()
    {
        printStackTrace(System.err);
    }
}